MSMV Design Software
    • Checkout / Invoice Creation
      POST

      Checkout / Invoice Creation

      POST
      {your-url}
      Checkout URL. We send data to your API where you can process it and return an URL where we can redirect users (e.g your invoice or payment page with all our products already there)
      Request contains the data we send to your API, and response is what you have to give back.

      Request

      Path Params

      Body Params application/json

      Examples

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://msmvdesign.com/api/public' \
      --header 'Content-Type: application/json' \
      --data '{
          "cart": [
              {
                  "id": "string",
                  "name": "string",
                  "code": "string",
                  "price": 0,
                  "image": "string",
                  "quantity": 0,
                  "discount": 0
              }
          ],
          "email": "string",
          "tax": 0,
          "userEmail": "string",
          "documentId": "string",
          "discountPercentage": 0,
          "shipping": 0
      }'
      Response Response Example
      {
          "url": "string"
      }
      Built with